# $Revision: 1.17 $, $Date: 2004/09/19 21:03:22 $
Summary:	Mp3 output plugin for XMMS
Summary(pl):	Wtyczka dla XMMS kompresujca wyjcie do plikw mp3
Name:		xmms-output-lame
Version:	0.2.2
Release:	3
License:	GPL
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/my-xmms-plugs/out_lame-%{version}.tar.gz
# Source0-md5:	7ee5905e8eaa8eb149a9d6d260222abd
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	lame-libs-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
Requires:	xmms
Provides:	xmms-output-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin allows xmms to play sounds though LAME mp3 encoder.

%description -l pl
Ta wtyczka pozwala xmms-owi odtwarza muzyk poprzez koder mp3 LAME.

%prep
%setup -q -n out_lame

%build
rm -f missing
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{xmms_output_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS ChangeLog
%attr(755,root,root) %{xmms_output_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-output-lame.spec,v $
Revision 1.17  2004/09/19 21:03:22  havner
- rel 3

Revision 1.16  2003/08/13 14:46:38  ankry
- cosmetics

Revision 1.15  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.14  2003/07/21 20:39:01  adamg
- updated to 0.2.2

Revision 1.13  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/13 11:23:42  qboosh
- working Source URL, minor fixed where needed

Revision 1.10  2003/02/09 19:17:01  kloczek
- install plugin in system avalailbe xmms plugin depending path.

Revision 1.9  2003/01/31 21:25:46  grzegol
- changed hard-cored xmms prefix into xmms-config --prefix
- rel. 4

Revision 1.8  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.7  2002/12/26 14:48:47  orzech
- missing Provides

Revision 1.6  2002/10/09 10:11:55  qboosh
- BR: libtool

Revision 1.5  2002/09/19 17:49:47  kloczek
- release 2: corrected Source url, use new doc and use more macros.

Revision 1.4  2002/07/14 22:27:06  wolf
- source

Revision 1.3  2002/05/21 23:15:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/04/30 13:27:16  qboosh
- cosmetics in pl description

Revision 1.1  2002/04/29 19:46:00  filon
- initial release, STBR
